Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Class ChannelException.FaultyMember

    java.lang.Object
      org.apache.catalina.tribes.ChannelException.FaultyMember

Enclosing class:
  ChannelException

    public static class ChannelException.FaultyMember

extends Object

Title: FaultyMember class

Description: Represent a failure to a specific member when a message was sent to more than one member

Version:
  1.0
Author:
  Filip Hanik

Field Summary
`protected Exception` | `cause`
`protected Member` | `member`

Constructor Summary
`ChannelException.FaultyMember(Member mbr, Exception x)`

Method Summary
`boolean` | `equals(Object o)`
`Exception` | `getCause()`
`Member` | `getMember()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected Exception cause

### member

    protected Member member

Constructor Detail

### ChannelException.FaultyMember

    public ChannelException.FaultyMember(Member mbr,
                                         Exception x)

Method Detail

### getMember

    public Member getMember()

### getCause

    public Exception getCause()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.